AbstractManagedType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.metamodel
Class AbstractManagedType<X>

    java.lang.Object
      org.hibernate.ejb.metamodel.AbstractType<X>
          org.hibernate.ejb.metamodel.AbstractManagedType<X>

All Implemented Interfaces:
  Serializable, ManagedType<X>, Type<X>

Direct Known Subclasses:
  AbstractIdentifiableType, EmbeddableTypeImpl

    public abstract class AbstractManagedType<X>

extends AbstractType<X>
implements ManagedType<X>, Serializable

Defines commonality for the JPA `ManagedType` hierarchy of interfaces.

See Also:
  Serialized Form

Nested Class Summary
`static interface` | `AbstractManagedType.Builder<X>`

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Type
`Type.PersistenceType`

Constructor Summary
`protected` | `AbstractManagedType(Class<X> javaType, AbstractManagedType<? super X> superType)`

Method Summary
`Attribute<? super X,?>` | `getAttribute(String name)`
`Set<Attribute<? super X,?>>` | `getAttributes()`
`AbstractManagedType.Builder<X>` | `getBuilder()`
`CollectionAttribute<? super X,?>` | `getCollection(String name)`
`
`<E> CollectionAttribute<? super X,E>`
` | `getCollection(String name, Class<E> elementType)`
`Attribute<X,?>` | `getDeclaredAttribute(String name)`
`Set<Attribute<X,?>>` | `getDeclaredAttributes()`
`CollectionAttribute<X,?>` | `getDeclaredCollection(String name)`
`
`<E> CollectionAttribute<X,E>`
` | `getDeclaredCollection(String name, Class<E> elementType)`
`ListAttribute<X,?>` | `getDeclaredList(String name)`
`
`<E> ListAttribute<X,E>`
` | `getDeclaredList(String name, Class<E> elementType)`
`MapAttribute<X,?,?>` | `getDeclaredMap(String name)`
`
`<K,V> MapAttribute<X,K,V>`
` | `getDeclaredMap(String name, Class<K> keyType, Class<V> valueType)`
`Set<PluralAttribute<X,?,?>>` | `getDeclaredPluralAttributes()`
`SetAttribute<X,?>` | `getDeclaredSet(String name)`
`
`<E> SetAttribute<X,E>`
` | `getDeclaredSet(String name, Class<E> elementType)`
`SingularAttribute<X,?>` | `getDeclaredSingularAttribute(String name)`
`
`<Y> SingularAttribute<X,Y>`
` | `getDeclaredSingularAttribute(String name, Class<Y> javaType)`
`Set<SingularAttribute<X,?>>` | `getDeclaredSingularAttributes()`
`ListAttribute<? super X,?>` | `getList(String name)`
`
`<E> ListAttribute<? super X,E>`
` | `getList(String name, Class<E> elementType)`
`MapAttribute<? super X,?,?>` | `getMap(String name)`
`
`<K,V> MapAttribute<? super X,K,V>`
` | `getMap(String name, Class<K> keyType, Class<V> valueType)`
`Set<PluralAttribute<? super X,?,?>>` | `getPluralAttributes()`
`SetAttribute<? super X,?>` | `getSet(String name)`
`
`<E> SetAttribute<? super X,E>`
` | `getSet(String name, Class<E> elementType)`
`SingularAttribute<? super X,?>` | `getSingularAttribute(String name)`
`
`<Y> SingularAttribute<? super X,Y>`
` | `getSingularAttribute(String name, Class<Y> type)`
`Set<SingularAttribute<? super X,?>>` | `getSingularAttributes()`
`protected AbstractManagedType<? super X>` | `getSupertype()`
`protected
`<Y> boolean`
` | `isPrimitiveVariant(SingularAttribute<?,?> attribute, Class<Y> javaType)`
`void` | `lock()`

Methods inherited from class org.hibernate.ejb.metamodel.AbstractType
`getJavaType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.metamodel.Type
`getJavaType, getPersistenceType`

Constructor Detail

### AbstractManagedType

    protected AbstractManagedType(Class<X> javaType,
                                  AbstractManagedType<? super X> superType)

Method Detail

### getSupertype

    protected AbstractManagedType<? super X> getSupertype()

### getBuilder

    public AbstractManagedType.Builder<X> getBuilder()

### lock

    public void lock()

### getAttributes

    public Set<Attribute<? super X,?>> getAttributes()

  Specified by:
    `getAttributes` in interface `ManagedType<X>`

### getDeclaredAttributes

    public Set<Attribute<X,?>> getDeclaredAttributes()

  Specified by:
    `getDeclaredAttributes` in interface `ManagedType<X>`

### getAttribute

    public Attribute<? super X,?> getAttribute(String name)

  Specified by:
    `getAttribute` in interface `ManagedType<X>`

### getDeclaredAttribute

    public Attribute<X,?> getDeclaredAttribute(String name)

  Specified by:
    `getDeclaredAttribute` in interface `ManagedType<X>`

### getSingularAttributes

    public Set<SingularAttribute<? super X,?>> getSingularAttributes()

  Specified by:
    `getSingularAttributes` in interface `ManagedType<X>`

### getDeclaredSingularAttributes

    public Set<SingularAttribute<X,?>> getDeclaredSingularAttributes()

  Specified by:
    `getDeclaredSingularAttributes` in interface `ManagedType<X>`

### getSingularAttribute

    public SingularAttribute<? super X,?> getSingularAttribute(String name)

  Specified by:
    `getSingularAttribute` in interface `ManagedType<X>`

### getDeclaredSingularAttribute

    public SingularAttribute<X,?> getDeclaredSingularAttribute(String name)

  Specified by:
    `getDeclaredSingularAttribute` in interface `ManagedType<X>`

### getSingularAttribute

    public <Y> SingularAttribute<? super X,Y> getSingularAttribute(String name,
                                                                   Class<Y> type)

  Specified by:
    `getSingularAttribute` in interface `ManagedType<X>`

### getDeclaredSingularAttribute

    public <Y> SingularAttribute<X,Y> getDeclaredSingularAttribute(String name,
                                                                   Class<Y> javaType)

  Specified by:
    `getDeclaredSingularAttribute` in interface `ManagedType<X>`

### isPrimitiveVariant

    protected <Y> boolean isPrimitiveVariant(SingularAttribute<?,?> attribute,
                                             Class<Y> javaType)

### getPluralAttributes

    public Set<PluralAttribute<? super X,?,?>> getPluralAttributes()

  Specified by:
    `getPluralAttributes` in interface `ManagedType<X>`

### getDeclaredPluralAttributes

    public Set<PluralAttribute<X,?,?>> getDeclaredPluralAttributes()

  Specified by:
    `getDeclaredPluralAttributes` in interface `ManagedType<X>`

### getCollection

    public CollectionAttribute<? super X,?> getCollection(String name)

  Specified by:
    `getCollection` in interface `ManagedType<X>`

### getDeclaredCollection

    public CollectionAttribute<X,?> getDeclaredCollection(String name)

  Specified by:
    `getDeclaredCollection` in interface `ManagedType<X>`

### getSet

    public SetAttribute<? super X,?> getSet(String name)

  Specified by:
    `getSet` in interface `ManagedType<X>`

### getDeclaredSet

    public SetAttribute<X,?> getDeclaredSet(String name)

  Specified by:
    `getDeclaredSet` in interface `ManagedType<X>`

### getList

    public ListAttribute<? super X,?> getList(String name)

  Specified by:
    `getList` in interface `ManagedType<X>`

### getDeclaredList

    public ListAttribute<X,?> getDeclaredList(String name)

  Specified by:
    `getDeclaredList` in interface `ManagedType<X>`

### getMap

    public MapAttribute<? super X,?,?> getMap(String name)

  Specified by:
    `getMap` in interface `ManagedType<X>`

### getDeclaredMap

    public MapAttribute<X,?,?> getDeclaredMap(String name)

  Specified by:
    `getDeclaredMap` in interface `ManagedType<X>`

### getCollection

    public <E> CollectionAttribute<? super X,E> getCollection(String name,
                                                              Class<E> elementType)

  Specified by:
    `getCollection` in interface `ManagedType<X>`

### getDeclaredCollection

    public <E> CollectionAttribute<X,E> getDeclaredCollection(String name,
                                                              Class<E> elementType)

  Specified by:
    `getDeclaredCollection` in interface `ManagedType<X>`

### getSet

    public <E> SetAttribute<? super X,E> getSet(String name,
                                                Class<E> elementType)

  Specified by:
    `getSet` in interface `ManagedType<X>`

### getDeclaredSet

    public <E> SetAttribute<X,E> getDeclaredSet(String name,
                                                Class<E> elementType)

  Specified by:
    `getDeclaredSet` in interface `ManagedType<X>`

### getList

    public <E> ListAttribute<? super X,E> getList(String name,
                                                  Class<E> elementType)

  Specified by:
    `getList` in interface `ManagedType<X>`

### getDeclaredList

    public <E> ListAttribute<X,E> getDeclaredList(String name,
                                                  Class<E> elementType)

  Specified by:
    `getDeclaredList` in interface `ManagedType<X>`

### getMap

    public <K,V> MapAttribute<? super X,K,V> getMap(String name,
                                                    Class<K> keyType,
                                                    Class<V> valueType)

  Specified by:
    `getMap` in interface `ManagedType<X>`

### getDeclaredMap

    public <K,V> MapAttribute<X,K,V> getDeclaredMap(String name,
                                                    Class<K> keyType,
                                                    Class<V> valueType)

  Specified by:
    `getDeclaredMap` in interface `ManagedType<X>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.